//   This file is part of uVM.
//
//   uVM is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   uVM is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with uVM.  If not, see <http://www.gnu.org/licenses/>.
//

#include <stdio.h>

void LogMem(int addr, const char opcode[]) {
  printf("[%.8d]\t%s\n", addr, opcode);
}

void LogMemWithArg(int addr, const char opcode[], int arg) {
  printf("[%.8d]\t%s\t%x\n", addr, opcode,  arg);
}
